#
# This file, as well as every other file where it is not otherwise noted, is
# shipped by the uhu-base package, which is one of our base packages.
#
# If the name of the user's home directory is available and looks sane
# (begins with a slash) then append ~/bin to the the user's PATH, which is
# not called PATH but rather ENVFEED_PATH here.
#
# Append it? What? It's the first file, ain't it? But only as long as no
# other package ships a file called path02.sh or similar. Of course you can
# make life more complicated: if ENVFEED_PATH is empty then set it to its
# new value, else append a colon and the new path component to the old one.
# I guess it's much simpler to avoid an extra if-else in every file and then
# strip the leading colon in the last step.
#
# Another idea is that you'd only put this directory in PATH if it does
# exist. But wait! There are several reasons against it. If the user's PATH
# doesn't contain his $HOME/bin then how shall he know that it's a right
# place to hold his scripts? And why does he have to log out and then log in
# to make this directory work? And... the user who executes this piece of
# code may not have read permission to the home of the user who's being
# authenticated.
#
# As this script is sourced by bash, the #!/bin/bash line and the execute
# permissions are not needed. Exporting the variable would be needless too.
#

if [ "${USERINFO_HOME:0:1}" = "/" ]; then
	ENVFEED_PATH="$ENVFEED_PATH:$USERINFO_HOME/bin"
fi
